require 'erb'
require_relative 'client/api'
require_relative 'client/email'
require_relative 'data/request'
require_relative 'data/response'
require_relative 'data/job_data'
require_relative 'display/display'

include API
include Email
include Display

class FedTechJobber
  include ERB::Util
  attr_accessor :template, :date, :request, :jobs

  def initialize(args)
    @request = Request.new(args)
    @template = get_display
    @date = Time.now
    @jobs = @request.get_jobs
    @file = 'fedtechjobber.html'
  end

  def render
    ERB.new(@template).result(binding)
  end

  def save_and_email
    File.open(@file, 'w+') do |f|
      f.write(render)
    end
    puts 'Done saving '+@file
    @request.email
  end

end

